pcmanfm (1.3.2-1+rpt29) bookworm; urgency=medium

  * Fix desktop picture vertical overflow

 -- Simon Long <simon@raspberrypi.com>  Mon, 25 Nov 2024 09:38:20 +0000

pcmanfm (1.3.2-1+rpt28) bookworm; urgency=medium

  * Add config option to make gestures touch-only

 -- Simon Long <simon@raspberrypi.com>  Thu, 17 Oct 2024 13:56:00 +0100

pcmanfm (1.3.2-1+rpt27) bookworm; urgency=medium

  * Add long press gesture for touchscreens

 -- Simon Long <simon@raspberrypi.com>  Mon, 14 Oct 2024 09:18:42 +0100

pcmanfm (1.3.2-1+rpt26) bookworm; urgency=medium

  * Fix memory leak in fixed desktop items
  * Fix rounding error in desktop image scaling

 -- Simon Long <simon@raspberrypi.com>  Tue, 17 Sep 2024 08:00:07 +0100

pcmanfm (1.3.2-1+rpt25) bookworm; urgency=medium

  * Don't initially mount drives when running in wizard

 -- Simon Long <simon@raspberrypi.com>  Fri, 13 Sep 2024 12:08:55 +0100

pcmanfm (1.3.2-1+rpt24) bookworm; urgency=medium

  * Disable automount when running in wizard

 -- Simon Long <simon@raspberrypi.com>  Thu, 12 Sep 2024 17:51:35 +0100

pcmanfm (1.3.2-1+rpt23) bookworm; urgency=medium

  * Fix memory leak when updating background and monitor dimensions not available

 -- Simon Long <simon@raspberrypi.com>  Mon, 09 Sep 2024 09:14:46 +0100

pcmanfm (1.3.2-1+rpt22) bookworm; urgency=medium

  * Fix memory leak in desktop icons when hotplugging

 -- Simon Long <simon@raspberrypi.com>  Thu, 05 Sep 2024 15:54:46 +0100

pcmanfm (1.3.2-1+rpt21) bookworm; urgency=medium

  * Reduce memory consumption of desktop

 -- Simon Long <simon@raspberrypi.com>  Wed, 17 Jul 2024 14:14:56 +0100

pcmanfm (1.3.2-1+rpt20) bookworm; urgency=medium

  * Improve support for more than two desktop configs

 -- Simon Long <simon@raspberrypi.com>  Mon, 25 Mar 2024 11:47:35 +0000

pcmanfm (1.3.2-1+rpt19) bookworm; urgency=medium

  * Reset desktop folder in new configs

 -- Simon Long <simon@raspberrypi.com>  Wed, 06 Mar 2024 13:51:40 +0000

pcmanfm (1.3.2-1+rpt18) bookworm; urgency=medium

  * Updated Japanese translation

 -- Simon Long <simon@raspberrypi.com>  Mon, 13 Nov 2023 10:35:28 +0000

pcmanfm (1.3.2-1+rpt17) bookworm; urgency=medium

  * Use presence of layer-shell to detect when Wayland in use

 -- Simon Long <simon@raspberrypi.com>  Mon, 23 Oct 2023 12:43:33 +0100

pcmanfm (1.3.2-1+rpt16) bookworm; urgency=medium

  * Fix memory leak; constrain default window size; add fullscreen

 -- Simon Long <simon@raspberrypi.com>  Mon, 16 Oct 2023 12:47:26 +0100

pcmanfm (1.3.2-1+rpt15) bookworm; urgency=medium

  * Fix crash on middle-click on Wayland

 -- Simon Long <simon@raspberrypi.com>  Thu, 28 Sep 2023 19:37:44 +0100

pcmanfm (1.3.2-1+rpt14) bookworm; urgency=medium

  * Remove deprecated code; rationalise multiple desktop handling

 -- Simon Long <simon@raspberrypi.com>  Wed, 15 Mar 2023 10:30:40 +0000

pcmanfm (1.3.2-1+rpt13) bookworm; urgency=medium

  * Fix warnings

 -- Simon Long <simon@raspberrypi.com>  Wed, 08 Mar 2023 15:00:37 +0000

pcmanfm (1.3.2-1+rpt12) bullseye; urgency=medium

  * Add support for hotplug and multiple monitors under Wayland

 -- Simon Long <simon@raspberrypi.com>  Tue, 15 Nov 2022 10:40:27 +0000

pcmanfm (1.3.2-1+rpt11) bullseye; urgency=medium

  * Move desktop search window to layer

 -- Simon Long <simon@raspberrypi.com>  Fri, 28 Oct 2022 09:56:39 +0100

pcmanfm (1.3.2-1+rpt10) bullseye; urgency=medium

  * Optionally use Wayland layer for desktop rather than accessing X

 -- Simon Long <simon@raspberrypi.com>  Fri, 21 Oct 2022 14:38:49 +0100

pcmanfm (1.3.2-1+rpt9) bullseye; urgency=medium

  * Fix 100% CPU load when device unmount fails

 -- Simon Long <simon@raspberrypi.com>  Wed, 18 May 2022 11:22:22 +0100

pcmanfm (1.3.2-1+rpt8) bullseye; urgency=medium

  * Add logging of mount and unmount events

 -- Simon Long <simon@raspberrypi.com>  Fri, 13 May 2022 09:06:52 +0100

pcmanfm (1.3.2-1+rpt7) bullseye; urgency=medium

  * Add custom wizard mode

 -- Simon Long <simon@raspberrypi.com>  Wed, 02 Mar 2022 12:08:27 +0000

pcmanfm (1.3.2-1+rpt6) bullseye; urgency=medium

  * Updated Italian translation

 -- Simon Long <simon@raspberrypi.com>  Thu, 18 Nov 2021 12:02:22 +0000

pcmanfm (1.3.2-1+rpt5) bullseye; urgency=medium

  * Add eject to dependencies

 -- Simon Long <simon@raspberrypi.com>  Mon, 13 Sep 2021 18:59:33 +0100

pcmanfm (1.3.2-1+rpt4) bullseye; urgency=medium

  * Revert app config change - shouldn't be needed

 -- Simon Long <simon@raspberrypi.com>  Thu, 22 Jul 2021 09:56:34 +0100

pcmanfm (1.3.2-1+rpt3) bullseye; urgency=medium

  * Fix incorrect display on second monitor after rescaling

 -- Simon Long <simon@raspberrypi.com>  Wed, 21 Jul 2021 16:47:54 +0100

pcmanfm (1.3.2-1+rpt2) bullseye; urgency=medium

  * Remove compact and thumbnail views
  * Add separate thumbnail option for icon view
  * Add view mode switching to view menu

 -- Simon Long <simon@raspberrypi.com>  Thu, 27 May 2021 15:03:19 +0100

pcmanfm (1.3.2-1+rpt1) bullseye; urgency=medium

  * Changes to Pi buster version merged

 -- Simon Long <simon@raspberrypi.com>  Sun, 11 Apr 2021 20:52:56 +0100

pcmanfm (1.3.2-1) unstable; urgency=medium

  * Merging upstream version 1.3.2 (Closes: #917522, #961084, #962561, #970924,
    LP: #1878625, #1883173).
  * Reposition Vcs-* to the Debian Salsa.
  * Bump Standards-Version to 4.5.1.
  * Drop obsolete lintian override 'package-contains-broken-symlink'.
  * Updating debian/copyright file.
  * Adding 'Rules-Requires-Root: no' header.
  * Bump debhelper to version 12.
  * Drop obsolete pcmanfm-dbg package.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Sat, 06 Feb 2021 02:36:43 +0200

pcmanfm (1.3.1-1) unstable; urgency=medium

  * Remove debian/source/options file, let lintian get easy.
  * Merging upstream version 1.3.1.
  * Bump Standards-Version to 4.2.1.
  * Bump debhelper compat to 11.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Mon, 17 Dec 2018 23:19:11 +0200

pcmanfm (1.3.0-1) unstable; urgency=medium

  * Merging upstream version 1.3.0 (Closes: #764289, #874753).
  * Replacing 'http' with 'https' in debian/copyright file.
  * Drop 01-Fix-potential-access-violation.patch, it's in the sources now.
  * Replacing override 'debian-watch-may-check-gpg-signature' with
    'debian-watch-does-not-check-gpg-signature'.
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.1.4.
  * Adding lxpolkit as a first alternative (Closes: #874657) (Thanks to:
    Raphaël Hertzog <hertzog@debian.org>).
  * Updating copyright years in debian/copyright file.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Sat, 21 Apr 2018 23:07:52 +0300

pcmanfm (1.2.5-3) unstable; urgency=medium

  * Adding 01-Fix-potential-access-violation.patch from upstream
    (Closes: #862571).

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Sun, 14 May 2017 23:29:20 +0300

pcmanfm (1.2.5-2) unstable; urgency=medium

  * Removing override_dh_builddeb target from debian/rules, it fails on 32-bit
    archs.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Sun, 11 Dec 2016 00:54:25 +0200

pcmanfm (1.2.5-1) unstable; urgency=medium

  * Fixing spelling error in package description, was Extremly.
  * Adding shared-mime-info to Depends: every file manager needs MIME database.
  * Bump Standards-Version to 3.9.8.
  * Adding polkit-1-auth-agent generic package, removing mate-polkit and
    lxpolkit.
  * Merging upstream version 1.2.5 (LP: #1548016).
  * Using https for VCS fields in debian/control file.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Sat, 10 Dec 2016 03:38:05 +0200

pcmanfm (1.2.4-1) unstable; urgency=medium

  * Merging upstream version 1.2.4.
  * Changing Maintainer e-mail to Alioth based one.
  * Bump Standards-Version to 3.9.7.
  * Removing the menu file which duplicates desktop entry command.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Sun, 21 Feb 2016 12:58:40 +0200

pcmanfm (1.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add code to transition /usr/share/doc/pcmanfm-dbg from directory to
    symlink (Closes: #775418).

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 22 Jan 2015 21:56:10 +0100

pcmanfm (1.2.3-1) unstable; urgency=low

  * Adding polkit agent to Recommends, mounting disks will require it.
  * Restricting dependency on gvfs-fuse to [!hurd-any].
  * Bump Standards-Version to 3.9.6.
  * Merging upstream version 1.2.3.
  * Adding lintian-overrides files with required comments.
  * Setting NEWS file as ustream changelog (satisfy lintian notice).

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Tue, 14 Oct 2014 21:57:37 +0300

pcmanfm (1.2.2-1) unstable; urgency=low

  * Merging upstream version 1.2.2 (Closes: #744123).
  * Updating debian/copyright file.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Wed, 27 Aug 2014 15:45:00 +0300

pcmanfm (1.2.1-1) unstable; urgency=low

  * Merging upstream version 1.2.1.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Thu, 03 Jul 2014 17:40:14 +0300

pcmanfm (1.2.0-1) unstable; urgency=low

  * Bump Standards-Version to actual one (fixes lintian warning, see QA page).
  * Adding files NEWS to pcmanfm documentation.
  * Bump Standards-Version to 3.9.5.
  * Updating watch file to support XZ tarball format and non-numeric versions.
  * Merging upstream version 1.2.0. (Closes: #656298, #731549)
  * Use single docs directory for all packages.
  * Raising version of libfm required to >= 1.2.0.

 -- Andriy Grytsenko <andrej@rep.kiev.ua>  Tue, 25 Feb 2014 04:07:51 +0200

pcmanfm (1.1.2-1) unstable; urgency=low

  [ Andriy Grytsenko ]
  * Merging upstream version 1.1.2.
  * Removing override_dh_auto_test from debian/rules.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 16 Aug 2013 20:43:45 +0800

pcmanfm (1.1.1-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating GPL blurb in copyright file.
  * Removing superfluous comma in copyright file.
  * Merging upstream version 1.0.
  * Enabling hardening build flags.

  [ Andriy Grytsenko ]
  * Removing manpage in favor to one shipped with tarball.
  * Merging upstream version 1.1.1.
    (Closes: #659970, #703165, #689317, #594674, #713328)
  * Updating libfm version requirement.
  * Removing unneeded build dependencies.
  * Removing wrong dependency on libfm-gtk-bin.
  * Adding two alternative icon themes: oxygen-icon-theme, tango-icon-theme.
  * Removing unneeded autoreconf call.
  * Updating Build-Depends: it should require libfm-gtk-dev now.
  * debian/rules: Enable parallel building.
  * Updating too short description for pcmanfm-dbg.
  * Removing Daniel Baumann from uploaders (Closes: #704355).

  [ Andrew Lee (李健秋) ]
  * Added Andriy Grytsenko <andrej@rep.kiev.ua> in uploaders.
  * debian/control: refine build-deps.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 09 Aug 2013 04:11:40 +0800

pcmanfm (0.9.10-3) unstable; urgency=low

  * Updating maintainer field.
  * Adding myself to uploaders.
  * Updating vcs fields.
  * Updating package to debhelper version 9.
  * Updating package to standards version 3.9.3.
  * Making build-depends unversioned where already fulfiled as of
    squeeze.
  * Rewriting copyright file machine-readable format version 1.0.
  * Moving manpage to manpages subdirectory within packaging.
  * Decrufting rules file.
  * Always creating apport symlink not only on ubuntu.
  * Switching to xz compression for both the source and the binary
    packages.
  * Tightening package descriptions.
  * Removing superfluous comma in depeneds.
  * Removing superfluous shlibs depends for the debug package.
  * Completing menu file.
  * Overwriting install target in rules rather than having a indirect
    install file for it.
  * Running autoreconf before configure, the libtool mismatch is back.

 -- Daniel Baumann <daniel@debian.org>  Sun, 15 Apr 2012 18:44:54 +0000

pcmanfm (0.9.10-2) unstable; urgency=low

  [ Sergey Slipchenko ]
  * Completely rewrite pcmanfm's manpage. (Closes: #562784, #583171, #585605)

  [ Andrew Lee (李健秋) ]
  * Depends on libfm-gtk-bin.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 14 Feb 2012 00:16:32 +0800

pcmanfm (0.9.10-1) unstable; urgency=low

  [ Andrew Lee (李健秋) ]
  A happy looooooooong(龍) year release.
  * Merging upstream version 0.9.10:
    (Closes: #501884, #583192, #588050, #588022, #587709, #585623, #537343,
    #585701, #534923, #621770, #657559, #644235, #635655, #634238, #630396,
    #624014, #624013, #607093, #605234, #603849, #600853, #614000, #613328,
    #604818, #603045, #598273, #597812, #585692)
  - Explicitly link to libfm.
  - Fix SF#3094303: Regression: Dnd to add folder to bookmarks is broken.
  - Focus folder view after switching page.
  - Update to use latest libfm API. Fix SF#3300800: Deletion prompt has no
    title.
  - Fix untranslatable messages.
  - Make "%d items selected" status message translatable.
  - Fix SF#3308324: "~ in locatio bar cause pcmanfm crash".
  - Fix SF#3286157: "Entering path with two initial slashes // crashes".
  - Fix SF#3284001: "Crash when entering path with trailing slash". This
    is related to GTK+ bug 650114, which is already fixed.
  - Add "Reload folder" to "View" menu.
  - Apply patch SF#3135578: Problems with the selection and opening a file.
  - Apply patch SF#3163496: "Menu key to call context menu" with some
    modifications.
  - Apply patch SF#3301636: Make slash and tilde activate location bar.
  - Close tab page when the folder which it shows is deleted or unmounted.
  - Use a less problematic way to show "root mode" warnings.
  - Update statusbar text, volume info, and window title correctly for every
    pages.
  - Use enum values instead of integer values for bookmark open methods.
  - Use new API: fm_folder_model_get_is_loaded().
  - Rework tabbed-browsing again and create one separate GtkHPaned widget
    for every page.
  - Save side pane mode.
  - Fix free disk space display. Fix SF#3037825: Bottom bar not updated.
  - Rework tabbed-browsing again and make the code cleaner.
  - Add correct version checks for libraries in configure.ac.
  - Deprecate fm_folder_get_for_path() API and use fm_folder_get() instead.
  - Rename variables for consistency.
  - Make status bar message more user-friendly and correct.
  - Use new fm_path_entry_set_path() and fm_path_entry_get_path() APIs.
  - Fix SF#3114626: PCManFM 0.9.9 Umount partitions problem.
  - Prevent removing built ui files and fix #3181001 – data/ui/*.glade
    files missing in tarball.
  - Set a proper default desktop font if the config value is lacking.
  - Add a new config value tab_max_chars to limit the maximum width of tabs.
  - Rework tab browsing so we can have more tabs in available space just
    like the old pcmanfm 0.5 series.
  - Fix SF#3139753: Create New asks for name of new “file” even for a new
    folder.
  - Add "Create New" popup menu to "File" main menu. Close bug SF#3107416.
  - Fix SF#3095516: PCManFM does not write preferences from main menu.
  - Add checks for invalid enum values when loading config files.
  - Fix SF#3112447: Daemon mode opens window.
  - Update translations and fix SF#3114640: PCManFM 0.9.9 Right-clic on
    desktop partly hard coded.
  - Escape strings while passing through IPC.
  - Handle string arguments with prefix –.
  - Reimplement a simpler yet cleaner IPC mechanism again.
  - Support mouse button 8 and 9 for back and forward.
  - Fix SF#3094187: Icons file no change when “Stick to Positon” is unchecked.
  - Improve handling of backward compatibility for old config files.
  - Fix SF#3085503: always_show_tabs=1 don’t work.
  - Bump version number to 0.9.9. Fix SF#3071296: pcman windows always
    show up on first desktop.
  - Apply patch SF#3089346: Re-enbale fake transparency when using
    pcmanfm 0.9.X.
  - Use our own round() implementation to avoid using C99 only function.
  - Add missing file to data/Makefile.am

  [ Sergey Slipchenko ]
  * Drop all patches.
  * Added missing etc/ directory in pcmanfm.install.

  [ Andrew Lee (李健秋) ]
  * Using debhelper 8.
  * Updating Vcs tags.
  * Sorting build-depends.
  * Warpping build-depends.
  * Sorting and warpping depends.
  * Sorting and warpping recommends.
  * Drop Build-Conflicts.
  * Drop Conflicts: since pcmanfm-nohal isn't ship with previous release.
  * Remove useless docs.
  * Drop #/usr/bin/autoreconf in rules.
  * Drop LDFLAGS in rules.
  * Compacting rules file.
  * Droping lsb-releases in build-depends.
  * Drop uesless README.Debian and debian/scripts from earlier series.
  * Removing useless whitespaces at EOL and EOF.
  * Build-depends on libfm-dev (>= 0.1.17).
  * Build-depends on libgtk2.0-dev (>= 2.16.0).
  * Correct url for vcs-Browser tag.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 01 Feb 2012 03:48:01 +0800

pcmanfm (0.9.8-2) unstable; urgency=low

  * Apply revert-new-IPC.patch(from Arch Linux). (Closes: #605760)
  * Bumped Standards-Version to 3.9.2.
  * Updating description: fix description-synopsis-starts-with-article.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 30 Dec 2011 18:24:45 +0800

pcmanfm (0.9.8-1) unstable; urgency=low

  [ Julien Lavergne ]
  * debian/rules:
   - Use libfm apport hook only on Ubuntu.
   - Use directly dh_auto_configure instead of configure.
  * debian/control:
   - Build-depends on lsb-release, needed to detect the distribution.
   - Wrap depends and build-depends.
   - Build-depends on libfm-dev (0.1.14).
  * debian/patches/01-libfm-0.1.14-API-changes.patch:
   - Migrate from fm_path_new to fm_path_new_for_str to follow libfm API change
     (Closes: #600391)
  * debian/patches/90-enable-fake-transparency.patch
   - From upstream, fix fake transparency (LP: #566056)

  [ Andrew Lee (李健秋) ]
  * Imported Upstream version 0.9.8
   - Desktop icons are now movable (Closes: #535814) (LP: #644259)
   - Broken Dnd from folder view to desktop (Closes: #534928)
   - Fix crash with // in the address bar (Closes: #586368)
   - Fix crash on right click (LP: #617655)
   - Translation updates (LP: #565496)
  * Bumped Standard-version to 3.9.1
  * Drop 01_binary_rename.patch
  * Drop libtool-fix.patch
  * delete debian/patches/series

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 24 Nov 2010 22:51:44 +0800

pcmanfm (0.9.7-1) unstable; urgency=low

  * New upstream release
    - Fixed middle-click shortcut on directory in bookmarks area
    - Fixed desktop does not work with xrandr
    - Updated translations
  * Removed 01_binary_rename.patch. Included in upstream.
  * Applied libtool-fix.patch (Closes:#556054)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 31 May 2010 11:23:06 +0800

pcmanfm (0.9.5-2) unstable; urgency=low

  * Upload to sid. No new additional bug report since last upload into
    experimental. (Closes:#506243, #509257, #532973, #502225, #535810,
    #570114, #581033, #518683)
  * debian/control:
    Adjusted depends/recommends for people who doesn't want to have gvfs
    on their system. Without gvfs installed, pcmanfm would still works
    but lose volume management and trashcan support.
    - Drop depends on gamin, shared-mime-info, desktop-file-utils, dbus,
      xdg-user-dirs
    - Recommends on lxde-icon-theme | gnome-icon-theme, gvfs-backends,
      gvfs-fuse

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 23 May 2010 23:04:11 +0800

pcmanfm (0.9.5-1) experimental; urgency=low

  * New upstream experimental release
    - Reusable design with the core functions separated out to
      simplify porting to other GUIs.
    - Added Trash support and access to remote file systems
    - Supports both Drag-and-Drop, and the X Direct Save protocol
    - Clipboard operations are compatible with GTK+/GNOME and Qt/KDE
    (Closes:#579912, #534919, #535811, #576368, #524742)
  * Use debhelper 7
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control:
    - build-depends on libfm-dev (>= 0.1.10), libmenu-cache1-dev (>= 0.3.2)
    - Droped hal related build-depends
    - Droped pcmanfm-nohal binary package
    - Added pcmanfm-dbg binary package
    - Added pcmanfm depends on gvfs-backends, xdg-user-dirs
    - Adjust package description
    - Added depends on (= ${binary:Version) to pcmanfm-dbg
    - Set priority "extra" to pcmanfm-dbg
  * Updated copyright file
  * Applied 01_binary_rename.patch from OpenSuSE (Thanks Andrea Florio)
    - Added build-depends on libtool
    - Added '/usr/bin/autoreconf -fiv' to debian/rules

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 11 May 2010 00:56:09 +0800

pcmanfm (0.5.2+svn20091029-2) unstable; urgency=low

  * Building hal variant on kFreeBSD. (Closes: #544737)
  * debian/control:
    - Bumped Stand-Version to 3.8.4
    - Use Debian LXDE Packaging Team address on alioth
    - Added Vcs-Git and Vcs-Browser tags

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 20 Mar 2010 16:22:17 +0700

pcmanfm (0.5.2+svn20091029-1) unstable; urgency=low

  * New upstream release+translation update from SVN
    - Fix compatibility issue with shared-mime-info 0.70
  * debian/watch:
    - s/gz/bz2/
  * debian/rules:
    - Remove deprecated dh_desktop
  * Bumped Standard-version to 3.8.3

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 31 Oct 2009 17:27:15 +0800

pcmanfm (0.5.1+svn20090607-1) unstable; urgency=low

  * New upstream release (Closes:#509757, #523404, #531055, #443982)
    - Critical bug fixes
    - Better keyboard support
    - GUI customization
  * debian/control:
    - Update package description (Closes:#512536)
    - Recommends on ntfs-3g (Closes:#523762)
    - Bump Standards-Version to 3.8.1
  * Added policykit work around into README.Debian (Closes:#524014)

 -- Andrew Lee <andrew@linux.org.tw>  Sun, 07 Jun 2009 23:57:47 +0800

pcmanfm (0.5-3) unstable; urgency=low

  * Correct spellings,  03_correct_spelling.dpatch (Closes:498794)
  * Code in some files are taken from other projects, added these
    informations into copyright file. (Closes:499678)
  * Applied 04_defaut_terminal.dpatch to support x-terminal-emulator
    alternative. (Closes:497494)

 -- Andrew Lee <andrew@linux.org.tw>  Fri, 26 Sep 2008 10:19:20 +0800

pcmanfm (0.5-2) unstable; urgency=low

  * Solve strange Xorg errors problem. (Closes:#494185)

 -- Andrew Lee <andrew@linux.org.tw>  Tue, 12 Aug 2008 04:24:15 +0800

pcmanfm (0.5-1) unstable; urgency=low

  * New upstream release
    - Single click to open items (optional, finally we have it!).
    - UI adjustment: The preference dialog is now GNOME HIG compliant.
    - The preference dialog will use a non-GNOME HIG compliant, more
      compact layout under small screens.
    - Support calling preference dialog via command line with
      --show-pref.
    - Support changing wallpaper desktop window via command line with
      --set-wallpaper.
    - Open preference dialog no longer blocks the desktop window and
      other folder windows.
    - Improve the usability of detailed list view (better selection
      handling).
    - Add a basic but user-friendly "Find Files" utility.This can
      completely replace the simple find tool provided by GNOME.
      (Can be launched from command line, too).
    - Fix folder handler problems previously interfering nautilus
      under GNOME.
    - Rename the menu item showed in the system menu from
      "PCMan File Manager" to "File Manager" for better usability.

 -- Andrew Lee <andrew@linux.org.tw>  Thu, 17 Jul 2008 13:31:07 +0800

pcmanfm (0.4.5-1) unstable; urgency=low

  * New upstream release
    - Support new shared-mime-info 0.40
    - Adjust UI of preference dialog

 -- Andrew Lee <andrew@linux.org.tw>  Tue, 01 Jul 2008 00:37:56 +0800

pcmanfm (0.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #481957)
    - Finally support drag and drop of desktop icons.
    - Finally support rubber banding selection of desktop icons.
    - Finally support adding folder to bookmark pane with drag and drop.
    - Fix some permission problems.
    - Update some locales
  Don't ask why pcmanfm didn't support those listed basic features in
  previous releases. GTK+ has very few supports for those things and its
  default behavior isn't suitable for more complicated applications. So,
  those listed features are coded by the author of PCManFM line by line,
  which is very time-consuming...
  However, after endless hacking, we got them. Cheers!

 -- Andrew Lee <andrew@linux.org.tw>  Wed, 18 Jun 2008 04:40:48 +0800

pcmanfm (0.4.1.1-1) unstable; urgency=low

  * New upstream release
    - Totally rewrite the desktop icon support. It's much nicer and
      also faster than the old one.
    - Support hotkeys on the desktop
    - Support sorting desktop icons by name, size, mtime, and file type.
    - Able to use the desktop root menu provided by window manager (This
      option can be turned on from the preference dialog).
    - Drop shadow on desktop item text.
    - Totally rewrite the wallpaper support. Now there are several
      different modes: extend, tile, or center the image.
    - Daemon mode support. Run pcmanfm with -d argument can run
      pcmanfm as daemon, and it will start much faster later.
    - Image preview is shown in "Open File" dialog when selecting
      wallpaper.
    - Handle mount/umount/eject much more gracefully. If root access is
      needed, now gksu will be called automatically, and the volumes can
      be mounted correctly after typing the password.
    - Fix memory leaks in desktop window.
    - Fix crashes when gtk+ theme changes on the fly.
    - Use separate config files under LXDE.
    - Added "Create New" in desktop menu.
    - Optimize xml files.
    - Support "Compact List View".
    - Update locales.
  * Removed Asho Yeh <asho@debian.org.tw> from co-maintainer field due
    no response for a long time.

 -- Andrew Lee <andrew@linux.org.tw>  Fri, 16 May 2008 23:22:03 +0800

pcmanfm (0.3.6.2-1) unstable; urgency=low

  * New upstream release
    - Fix performance problem of desktop icons.
    - Little bug fix.
    - Add new locales.

 -- Andrew Lee <andrew@linux.org.tw>  Wed, 05 Mar 2008 17:52:05 +0800

pcmanfm (0.3.6.1-1) unstable; urgency=low

  * New upstream release
    - Going to another folder when the loading of current folder is not
      finished works now.
    - Crashes related to mounting removable devices is fixed. Many
      thanks to the patch from Mamoru Tasaka. (Closes:#466560)
    - Compiler warnings are fixed. (Closes:#466615)
    - The drag & drop default behaviour is changed: (Closes:452696)
      One the same partition, the drag&drop default behaviour does mv.
      One different partition, the drag&drop default behaviour does cp.
    - Added workarounds for gtk+ bug.
  * Drop 01_implicit-pointer-conversion.dpatch, merged in upstream.
  * debian/control:
    - Recommends on gksu | kdesu for super user window

 -- Andrew Lee <andrew@linux.org.tw>  Mon, 25 Feb 2008 19:36:27 +0800

pcmanfm (0.3.5.23-1) unstable; urgency=low

  * New maintainer(Closes:#454278)
  * New upstream release (Closes:#447229,#443988,#460574)
    - Fix incorrect title of windows.
    - Show icons of *.desktop files in every folder.
    - Slightly improve path entry.
    - Resolve paths with '~' and '.', '..' in command line arguments, if
      they are not expanded by shell.
    - Show lines in dir tree if gtk+ > 2.10.
    - Add drop down menu for "back" and "forward" buttons.
    - Open dir in new tab when middle clicking on dir tree.
    - Thumbnail support is re-written, and both the speed and stability
      are improved.
    - Completely re-written volume management, can mount/umount/eject
      volumes through HAL correctly now.
    - The underlying mime-type system was completely re-designed and
      re-written from scratch. Now it's faster, more robust, and more
      standard compliant. The memory usage was reduced, too. By
      installing a xml file to the shared-mime-database, mime-type
      detection was enhanced.
    - Add some new locales: tr, eu, ja
    - Folder views are correctly updated when files get deleted or
      created. Some FAM-related bugs were fixed.
    - Command line arguments handling was improved. Now you can open
      multiple files with pcmanfm through command line.
    - Correctly handle desktop directory in the side pane. (Get the
      path of desktop directory from ~/.config/user-dirs.dirs. Hide the
      item if the directory didn't exist.)
    - config files were moved to ~/.config/pcmanfm to follow the new
      standard.
    - Better-looking about dialog, a must-have for every program. :p
    - Left click on the text of path bar with 'Ctrl' key held down now
      brings you to parent folders quickly. Here is a DEMO on youtube.
      http://tw.youtube.com/watch?v=aGUOvSMWm6c
    - New shortcut keys are supported: Now both 'Alt+D' and 'Ctrl+L' can
      focus the path bar, and 'Backspace' brings you to parent folder.
    - Remove the useless "Address" label on the path bar.
    - Fix segfault in app chooser dialog.
    - Create dialog UI using new lightweight PtkUIXml system and
      *.glade files "without" libglade.
    - Decrease memory usage and size of executable file.
  * debian/rules:
    - Drop AFL-2.0
    - use dh_installmime
  * debian/copyright:
    - Drop AFL-2.0 part(src/xdgmime has been removed from upstream).
  * debian/README.Debian:
    - XSETTINGS daemon and GTK+ icon theme settings issue
    - pcmanfm specfic gtkrc-2.0 file
  * debian/control:
    - Build-depends on desktop-file-utils
    - Make pcmanfm depends on dbus and hal
      Resolve bug - Recommends on pmount (Closes:#452637)
    - Homepage
    - Minor changes in descriptions
  * Minor fix in scripts/genconf.sh (Thanks to ex-maintainer Tetralet)
  * New co-maintainer: Asho Yeh <asho@debian.org.tw>

 -- Andrew Lee <andrew@linux.org.tw>  Mon, 18 Feb 2008 19:39:14 +0800

pcmanfm (0.3.2.2-2) unstable; urgency=low

  * Depends on desktop-file-utils(Closes:#416173)
  * Use dh_desktop to register the .desktop file.
  * New menu hierarchy

 -- Andrew Lee <andrew@linux.org.tw>  Thu, 23 Aug 2007 02:02:38 +0800

pcmanfm (0.3.2.2-1) unstable; urgency=low

  [ Lu, Chao-Ming (Tetralet) ]
  * New upstream release 0.3.2.2.
    - Block unnecessary signal handlers to fix the performance problem
      caused when doing invert selection.
    - Fix a segfault in on_file_propertiesDlg_response triggered on
      chown.
    - Fix let to avoid SegFault when file monitoring.
    - Mark some functions as static to avoid conflicts.
    - Invoke vfs_file_monitor_remove() with care.
    - Fix #ifdef EACCESS for FreeBSD.
    - Little fix for opening terminal with popup menu of desktop.
    - Skip desktop window in Alt+Tab.
  * Applied a patch for "FTBFS on GNU/kFreeBSD (due to unsatisfied
    Build-Depends on libhal-dev)" by
    Petr Salinger <Petr.Salinger@seznam.cz> (Closes:#404050)

  [ Andrew Lee ]
  * Taken a entry from Enrico Zini's blog to README.Debian for how to
    replace nautilus with pcmanfm and provide genconf.sh

 -- Andrew Lee <andrew@linux.org.tw>  Tue, 26 Dec 2006 23:28:33 +0800

pcmanfm (0.3.2.1-2) unstable; urgency=low

  [ Lu, Chao-Ming (Tetralet) ]
  * Split to two binary packages (and conflict each other):
    - pcmanfm (HAL enabled).
    - pcmanfm-nohal (HAL disabled).
  * debian/controls: build-depends on libhal-dev, libdbus-glib-1-dev,
    libhal-storage-dev

  [ Andrew Lee ]
  * Update 01_implicit-pointer-conversion.dpatch
    by Dann Frazier <dannf@debian.org> (Closes:#393736)
  * debian/copyright: Correct GPL version

 -- Andrew Lee <andrew@linux.org.tw>  Wed, 18 Oct 2006 16:21:36 +0800

pcmanfm (0.3.2.1-1) unstable; urgency=low

  [ Lu, Chao-Ming (Tetralet) ]
  * New upstream release 0.3.2.1.
    - Support auto-completion for path entry.
    - Support choosing custom application to open selected file from
      file properties dialog.
    - Support popup menus for dir tree.
    - Support showing popup menu via shortcut key (Shift+F10).
    - Support cut/copy/paste/delete/rename in dir tree.
    - Add euidaccess & eaccess support to check access permission
      before chdir.
    - Preserve file times when copying/moving.
    - Sync with working copy.
    - Improve volume-mounting support.
    - Passing current working directory when executing apps.
    - Add experimental desktop support.
    - Add basic desktop wallpaper support.
    - Greatly improve desktop wallpaper display.
    - Add color settings for desktop.
    - Add open terminal support to desktop window.
    - Add a simple desktop session - LiteDE.
    - Add missing GDK threading guards to prevent reentry. Greatly
      improve stability.
    - Disable all widgets in "Desktop" preference page when desktop
      icon management is turned off. (Closes:#457002)
    - Enable cancellation of VFSFileTask during preparation.
      (calculating total size)
    - Little but absolutely important fix. Reported by Temcat and
      other users: "Segfaults on choosing list view".
    - Delay the update with an interval of 5 seconds if a file get
      changed too frequently.
    - Fix a serious bug caused by gdk_pixbuf_unref() an uninitialized
      pointer in vfs_mime_type_unref.
    - Fix some problems with shortcut keys of folder view.
    - Fix a critical bug causing dir tree not updated when sub dirs
      change.
    - Fix a critical bug in VFSFileMonitor.
    - Fix a segmentation fault error in hal volume management.
    - Fix file properties dialog segmentation fault error when right
      clicking list view directly without selecting file first, and
      then choose properties.
    - Fix a segmentation fault error when using right click to view the
      properties of a file.
    - Fix a serious bug when click a non-access-right folder in tree
      view.
    - Fix some problems with on_folder_view_key_press().
    - Fix crashes caused by doing rubber bending selection on changing
      files.
    - Fix window activation issue under metacity.
    - Resolve the path passed in command line and address bar.
      (~, ., and .. can be recognized now)
    - Fix the bug in following symlinks in file-alteration.
    - Fix memory leaks cause by auto-completion.
    - Some po files had been updated.
  * 01_implicit-pointer-conversion.dpatch is applied in upstream.

  [ Andrew Lee ]
  * debian/controls: Recommends on gnome-icon-theme, so that icons
    display properly.
  * Update to policy version 3.7.2.2, no actual changes needed.

 -- Andrew Lee <andrew@linux.org.tw>  Mon, 16 Oct 2006 16:47:04 +0800

pcmanfm (0.3.0.2-2) unstable; urgency=low

  * Update 01_implicit-pointer-conversion.dpatch
    by Dann Frazier <dannf@debian.org> (Closes:#389515)

 -- Andrew Lee <andrew@linux.org.tw>  Tue, 26 Sep 2006 14:15:08 +0800

pcmanfm (0.3.0.2-1) unstable; urgency=low

  [ Lu, Chao-Ming (Tetralet) ]
  * New upstream version.
  * HAL is disabled by default.
  * debian/control: replace "X Window" with "X". (Closes:#385040)
  * debian/control: replace "extamly" with "an extremely". (Closes:#385042)

  [ Andrew Lee ]
  * Minor correction in copyright file.

 -- Andrew Lee <andrew@linux.org.tw>  Thu, 14 Sep 2006 01:04:49 +0800

pcmanfm (0.2.4-2) unstable; urgency=low

  * Apply 01_implicit-pointer-conversion.dpatch by Dann Frazier
    <dannf@debian.org> (Closes:#384369)

 -- Andrew Lee <andrew@linux.org.tw>  Thu, 24 Aug 2006 21:01:45 +0800

pcmanfm (0.2.4-1) unstable; urgency=low

  [ Lu, Chao-Ming (Tetralet) ]
  * Initial Release.(Closes:#355848)
  * Added Menu item.
  * Added .desktop item.
  * Added a sample man page.

  [ Andrew Lee ]
  * Added watch file
  * Refine Build-depends
  * Added LGPL and Academic Free License v.2.0 informations into
  copyright file, thanks to Joerg Jaspert <joerg@debian.org> and
  Enrico Zini <enrico@debian.org>.

 -- Andrew Lee <andrew@linux.org.tw>  Sun, 13 Aug 2006 20:11:20 +0800
